package lc.sips;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import lc.sips.schema.ColumnDefinition;
import lc.sips.schema.ColumnType;
import lc.sips.schema.Schema;
import lc.sips.schema.Table;
import org.junit.jupiter.api.Test;

import java.util.Set;

public class SchemaTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(SchemaTest.class);

    @Test
    public void testSchema() {
        Table t = new Table("test",
                Set.of(new ColumnDefinition("msg", ColumnType.VARCHAR, 256, null, false)));
        Schema s = new Schema(Set.of(t));

        logger.info("Built schema: {}", s);
    }
}
